Name:             hawtjni
Version:          1.18
Release:          1
Summary:          Produces the JNI code,known as a code generator
License:          ASL 2.0 and EPL-1.0 and BSD
URL:              http://hawtjni.fusesource.org/
BuildArch:        noarch

Source0:          https://github.com/fusesource/hawtjni/archive/%{name}-project-%{version}.tar.gz
Patch0:           00-hawtjni-port-to-commons-lang3.patch

BuildRequires:    maven-local mvn(commons-cli:commons-cli) mvn(org.apache.maven:maven-archiver)
BuildRequires:    mvn(org.apache.maven:maven-artifact-manager) mvn(org.apache.maven:maven-artifact)
BuildRequires:    mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven:maven-project)
BuildRequires:    mvn(org.apache.maven.plugins:maven-plugin-plugin) mvn(org.ow2.asm:asm)
BuildRequires:    mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.apache.xbean:xbean-finder)
BuildRequires:    mvn(org.codehaus.plexus:plexus-archiver) mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:    mvn(org.codehaus.plexus:plexus-io) mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:    mvn(org.fusesource:fusesource-pom:pom:) mvn(org.ow2.asm:asm-commons)


Requires:         autoconf automake libtool make

%description
HawtJNI is a code generator that generates the JNI code required by
the following code:implement Java native methods. It is based on jnigen
code generator .This is part of the SWT Tools project, which is used to
generate all JNI code for the Eclipse platform.

%package runtime
Summary:   Provides API that projects using HawtJNI should build against

%description runtime
this package provides API that projects using HawtJNI should build against.

%package -n maven-hawtjni-plugin
Summary:   Use %{name} from a maven plugin

%description -n maven-%{name}-plugin
This package allows to use %{name} from a maven plugin.

%package help
Summary:    Help documentation for %{name}
Provides:  %{name}-javadoc = %{version}-%{release}
Obsoletes: %{name}-javadoc < %{version}-%{release}

%description help 
Man pages and other related help documents for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}
%patch0 -p1

%pom_disable_module hawtjni-example
%pom_remove_plugin -r :maven-shade-plugin
%pom_remove_plugin -r :maven-eclipse-plugin

%mvn_package ":hawtjni-runtime" runtime
%mvn_package ":hawtjni-maven-plugin" maven-plugin

%mvn_alias :hawtjni-maven-plugin :maven-hawtjni-plugin

%pom_remove_plugin :maven-javadoc-plugin hawtjni-runtime

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files runtime -f .mfiles-runtime
%doc license.txt

%files help -f .mfiles-javadoc
%doc readme.md changelog.md

%files -n maven-hawtjni-plugin -f .mfiles-maven-plugin

%changelog
* Fri Apr 12 2024 dongjiao <dongjiao@kylinos.cn> - 1.18-1
- Upgrade version to 1.18

* Tue Dec 3 2019 wangzhishun <wangzhishun1@huawei.com> - 1.16-4
- Package init

